Skip to main content
GET
/
v1
/
transactions
/
{id}
Get transaction
curl --request GET \
  --url https://api.sandbox.busha.so/v1/transactions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "platform_123456",
    "object": "transaction",
    "status": "completed",
    "created_at": "2024-05-16T13:06:31.409336+01:00",
    "reference": "ORD_7ain6FEDWB",
    "user_id": "platform_123456",
    "profile_id": "platform_123456",
    "type": "buys",
    "description": "Bought US Dollar",
    "sub_description": "With USD Token",
    "amount": "100",
    "currency": "BTC",
    "is_fiat": true,
    "is_credit": true,
    "status_description": "This has been processed by Busha",
    "meta": {
      "price": {
        "amount": "100",
        "currency": "<string>"
      },
      "balance": {
        "total": "100",
        "available": "100"
      },
      "conversion": {
        "source_currency": "<string>",
        "source_amount": "100",
        "target_currency": "<string>",
        "target_amount": "100",
        "rate": "100",
        "rate_explained": "<string>"
      },
      "source": {
        "type": "bank_transfer",
        "bank_name": "<string>",
        "account_number": "<string>",
        "account_name": "<string>",
        "session_id": "<string>"
      },
      "destination": {
        "type": "bank_transfer",
        "bank_name": "<string>",
        "account_number": "<string>",
        "account_name": "<string>",
        "session_id": "<string>"
      },
      "savings": {
        "action": "deposit",
        "id": "<string>"
      },
      "service": {
        "type": "airtime",
        "provider": "<string>",
        "phone_number": "<string>",
        "network": "<string>",
        "merchant": "<string>",
        "amount": "100"
      },
      "third_party_reference": "<string>",
      "fee": {
        "amount": "100",
        "currency": "<string>"
      },
      "amounts": {
        "fee": "100",
        "amount_paid": "100",
        "amount_added": "100"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required